Name:           polyester
Version:        1.0.2
Release:        1%{?dist}
Summary:        KDE style and window decoration

Group:          User Interface/Desktops
License:        LGPLv2
URL:            http://www.kde-look.org/content/show.php?content=27968
Source0:        http://www.notmart.org/files/polyester-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel
#Requires:       

%description
Widget style + kwin decoration both aimed to be 
a good balance between eyecandy and simplicity.


%prep
%setup -q

# Correct some wrong chmods
find -name "pol*.h" -exec chmod 644 {} \;
find -name "pol*.cpp" -exec chmod 644 {} \;
find -name "pol*.cc" -exec chmod 644 {} \;
find -name "shadow*" -exec chmod 644 {} \;
chmod 644 AUTHORS ChangeLog style/misc.cpp

%build
%configure --disable-rpath

# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/kde3/kstyle_polyester_config.la
%{_libdir}/kde3/kstyle_polyester_config.so
%{_libdir}/kde3/kwin3_polyester.la
%{_libdir}/kde3/kwin3_polyester.so
%{_libdir}/kde3/kwin_polyester_config.la
%{_libdir}/kde3/kwin_polyester_config.so
%{_libdir}/kde3/plugins/styles/polyester.la
%{_libdir}/kde3/plugins/styles/polyester.so
%{_datadir}/apps/kdisplay/color-schemes/Polyester*.kcsrc
%{_datadir}/apps/kstyle/themes/polyester.themerc
%{_datadir}/apps/kwin/polyester.desktop


%changelog
* Tue Aug 21 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.2-1
- new upstream version: 1.0.2

* Thu Aug 16 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.1-2
- Change License to LGPLv2

* Wed Jun 06 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.1-1
- new upstream version: 1.0.1
- added README

* Thu Jan 11 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0-2
- Removed kdebase from "Require"
- fix rpath 

* Wed Jan 10 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0-1
- New upstream version: 1.0 (final)

* Sun Nov 12 2006 Sebastian Vahl <fedora@deadbabylon.de> - 1.0-0.1.beta2
- Rebuild for FC6
- New upstream version: 1.0.beta2

* Wed May 24 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.9.2-1
- New upstream release: 0.9.2

* Thu Apr 06 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.9-1
- New Version: 0.9

* Wed Mar 29 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.8.8-1
- Build for FC5
- New Upstream version

* Thu Mar 09 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.8.5-1
- Upstream renamed to polyester
- Updated to new version

* Thu Oct 13 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.5.5-1
- Updated to new version

* Mon Oct 10 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-1
- Updated to new version

* Wed Oct 05 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.4-1
- Updated to new version

* Thu Sep 01 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.3-1
- Initial Release
